WinDef.DWORD (JNA API)

com.sun.jna.platform.win32

## Class WinDef.DWORD

- java.lang.Object
- - java.lang.Number
  - - com.sun.jna.IntegerType
    - - com.sun.jna.platform.win32.WinDef.DWORD

- All Implemented Interfaces:
    NativeMapped, java.io.Serializable, java.lang.Comparable<WinDef.DWORD>
  Direct Known Subclasses:
    OaIdl.HREFTYPE, WinBase.DCB.DCBControllBits, WinDef.LCID
  Enclosing interface:
    WinDef

      public static class WinDef.DWORD
      extends IntegerType
      implements java.lang.Comparable<WinDef.DWORD>

  32-bit unsigned integer.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SIZE` The Constant SIZE.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DWORD()` Instantiates a new dword.
    `DWORD(long value)` Instantiates a new dword.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(WinDef.DWORD other)`
    `WinDef.WORD` | `getHigh()` High WORD.
    `WinDef.WORD` | `getLow()` Low WORD.

    - ### Methods inherited from class com.sun.jna.IntegerType

      `compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

    - ### Methods inherited from class java.lang.Number

      `byteValue, shortValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SIZE

          public static final int SIZE

      The Constant SIZE.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DWORD

          public DWORD()

      Instantiates a new dword.

    - #### DWORD

          public DWORD(long value)

      Instantiates a new dword.
      Parameters:
        `value` - the value

  - ### Method Detail

    - #### getLow

          public WinDef.WORD getLow()

      Low WORD.
      Returns:
        Low WORD.

    - #### getHigh

          public WinDef.WORD getHigh()

      High WORD.
      Returns:
        High WORD.

    - #### compareTo

          public int compareTo(WinDef.DWORD other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<WinDef.DWORD>`

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.